Bug 34391 - FORMATTING: Implementing Table Styles
Summary: FORMATTING: Implementing Table Styles
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 55333 101720 (view as bug list)
Depends on:
Blocks: Table-Styles Writer-Table-Styles 101772
  Show dependency treegraph
 
Reported: 2011-02-17 06:04 UTC by sasha.libreoffice
Modified: 2017-09-08 10:32 UTC (History)
24 users (show)

See Also:
Crash report or crash signature:


Attachments
MS Office table style menu (33.13 KB, image/gif)
2015-09-29 19:33 UTC, dor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-17 06:04:58 UTC
Especially for creating HTML documents it is important to have table cell styles. HTML document with complex cells will then more compact, understandable and beauty.

For example without cell styles cell definition in html will something like this:

<TD WIDTH=25% BGCOLOR="#ff00ff" STYLE="border-top: none; border-bottom: 1.00pt solid #c0c0c0; border-left: 2.50pt solid #355e00; border-right: none; padding-top: 0cm; padding-bottom: 0.4cm; padding-left: 0.4cm; padding-right: 0cm">
<P CLASS="western"><BR>	</P></TD>

And using cell style something like this:

</TD><TD CLASS ="sum"> 	</P></TD>

it is more compact , understandable and editable for beginner and professional users.
Comment 1 pz1 2011-03-14 01:56:50 UTC
A cell style would not only be beneficial for HTML, but very much so for plain documents, where a strict corporate identity is required.  I have tried to achieve this with table autoformat, but these elements do not store all elements like different distances to borders correctly. (In contrast to what is said in the tutorial http://wiki.services.openoffice.org/wiki/Documentation/OOoAuthors_User_Manual/Writer_Guide/Formatting_a_table#AutoFormatting_tables)

If a table cell style were implemented, for me there no longer is a pressing need to fix bug 31005.
Comment 2 Nikos 2011-10-13 06:56:45 UTC
Since this is an enhancement request, I just wanted to bring back into memory that this had quite a lot of support in the OO.org days.

openoffice.org/bugzilla/show_bug.cgi?id=11121
Comment 3 Björn Michaelsen 2011-12-23 11:45:56 UTC Comment hidden (obsolete)
Comment 4 sasha.libreoffice 2012-01-02 02:30:08 UTC
remains in LibO 3.5.0 beta 1
Comment 5 Thom Brown 2012-09-16 21:55:38 UTC
This is exactly what I need. I format my table heading cells with a coloured background, but this has to be done manually. If I edit the Table Heading paragraph style so that the background is a different colour, it doesn't change the cell's colour, only the paragraph, so the colour doesn't fill the whole cell. So it's currently impossible to give any table cells or tables a style that affects it at the cell level rather than paragraph.
Comment 6 Urmas 2012-09-26 14:45:32 UTC
*** Bug 55333 has been marked as a duplicate of this bug. ***
Comment 7 sugeng 2012-10-13 01:37:39 UTC
I want to ask the same thing :

new style category : table

it would be very useful.
Comment 8 Gerry 2013-01-26 10:55:50 UTC
One of the strongest points for LibreOffice Writer is the strong and powerful reliance on formatting styles. Currently, LibreOffice supports styles for pages, paragraphs, characters, frames and lists. Styles for tables are severely missing, though. This enhancement would dramatically increase formatting abilities for structured documents, for DTP-like use. It would simplify keeping a number of documents in one style.

The feature "Table"->"Autoformat" does something similar to table styles, but it is much less powerful (Autoformats are not editable) and it is highly inconsistent with the general use of styles in LibreOffice.

Proposition: Add support for real styles for tables in LibreOffice. Create a new section in the Stylist called "Table Style" (also allow to edit table styles).

Competitive assessment: Microsoft Office supports table styles since 2007. 

History of request: Please keep in mind that this enhancement request exsists since 2003 (OpenOffice) and has 103 votes in the AOO bug tracker.
Comment 9 Samuel Mehrbrodt (CIB) 2013-02-08 13:10:37 UTC
Whoever implements this, gets a bounty: 
http://www.freedomsponsors.org/core/issue/158/formatting-feature-request-table-cell-styles-table-styles-writer

Others, feel free to increase that bounty :)
Comment 10 David 2013-10-01 01:20:39 UTC
Table styles is a desperately needed feature!
Comment 11 Owen Genat (retired) 2014-01-20 22:48:42 UTC
Related Apache OO issue (from comment #2) removed from URL field and added to See Also list.
Comment 12 Gerry 2014-04-17 10:52:59 UTC
Maybe a good solution for this enhancement "Table Styles in Writer" could be an integration with the related existing Calc feature "Choose themes": bug 77569
Comment 13 Yousuf Philips (jay) 2015-04-11 11:38:10 UTC
I think that the best means of placing the table styles selection area is within the sidebar, as mentioned in bug 86177.
Comment 14 jek 2015-06-21 13:40:03 UTC
I hope this ends up being "just another type of style", after character, paragraph, and list styles, with editing the style like editing any other type of style.
Comment 15 dor 2015-09-29 19:33:59 UTC
Created attachment 119123 [details]
MS Office table style menu

Please add table styles which are similar to those who are available in MS Office.
Comment 17 Yousuf Philips (jay) 2015-09-30 10:56:38 UTC
Kendy mentioned 2 weeks back in the design meeting that he would try and resurrect the code done by a GSoC student for table styles.

Samuel mentioned in the AOO bugtracker that there is a bounty for this feature - http://www.freedomsponsors.org/core/issue/158/formatting-feature-request-table-cell-styles-table-styles-writer

I've create a google doc about the various table styling implementations throughout libreoffice as well as the ODF table style specification. https://docs.google.com/document/d/1zOsEe_cj-VnFyuPZcld4-WPjwmdsfsaHuOO8e2dfhU0/edit?usp=sharing
Comment 18 Yousuf Philips (jay) 2015-10-04 13:23:41 UTC
Kendy confirmed in last wednesday's meeting that he's completed the internal support for table styles, which users can accessed by applying a table style from Table > AutoFormat. You will notice that if you modify a table with the applied style, that the style will adapt to the change in the table rows and columns. Import and export support of the applied table style hasnt been implemented yet though.

We hope to have a design session this friday (Oct 9th, 1pm UTC) to discuss the interface for management of table styles. Initial research for this is being added to this google doc.

https://docs.google.com/document/d/1FPkf9fn79dXJ5tHpc-meMYxaQpj3nV5sEN6u9HOo2GQ/edit?usp=sharing
Comment 19 Zenaan Harkness 2016-08-29 10:56:45 UTC
*** Bug 101720 has been marked as a duplicate of this bug. ***
Comment 20 Cor Nouws 2016-09-13 13:34:20 UTC
(In reply to Yousuf Philips (jay) from comment #18)
> Kendy confirmed in last wednesday's meeting that he's completed the internal
> support for table styles, which users can accessed by applying a table style
> [...]

Resolved by GSoC work ??
Comment 21 Yousuf Philips (jay) 2016-09-13 13:44:37 UTC
(In reply to Cor Nouws from comment #20)
> Resolved by GSoC work ??

No just the ground work was done, there are still stuff pending which will likely happen next GSoC.

https://gist.github.com/ubap/55d22ef9b2e00347a2dc58ca4cb8b0ea

The blog post of what is intended to be complete.

https://design.blog.documentfoundation.org/2015/12/13/style-your-tables/
Comment 22 Cor Nouws 2016-09-13 14:35:19 UTC
(In reply to Yousuf Philips (jay) from comment #21)

> No just the ground work was done, there are still stuff pending which will
> likely happen next GSoC.

Ah, thanks - I obviously didn't look to all details of the GSoC work..

> https://gist.github.com/ubap/55d22ef9b2e00347a2dc58ca4cb8b0ea

Quoting form there:
" What has to be done:
    Table style dialog.
    Table styles dropdown menu is still under work.
    Default set of table styles is not implemented yet.
  Newly inserted table should be inserted with default table style. "